日報タグ一覧取得
GET /daily_report_tags
GET
/daily_report_tags
日報タグ一覧を取得します
対象
- プラン
- エンタープライズ、旧有料
- オプション
- 日報
対象ユーザー権限
- 日報管理閲覧
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” daily_report_tag_name
string
日報タグ名
Example
営業 daily_report_tag_group_code
string
日報タググループコード
Example
1 daily_report_tag_division_code
string
日報タグ区分コード
Example
2 limit
integer
上限値
Example
50 page
integer
検索対象ページ番号
Example
2Responses
Section titled “ Responses ”取得成功
object
count
件数
number
page
現在のページ番号
number
pageCount
総ページ数
number
dailyReportTag
日報タグリスト
Array<object>
object
dailyReportTagId
日報タグID
string
color
カラー
string
dailyReportTagName
タグ名
string
memo
メモ
string
sortNum
表示順
string
showFlag
従業員に表示するかどうか
0: 非表示1: 表示
string
defaultFlag
デフォルトのタグかどうか
0: デフォルトでない1: デフォルト
string
dailyReportTagGroupCode
日報タググループコード
string
dailyReportTagDivisionCode
日報タグ区分コード
string
Example
{ "count": 8, "page": 1, "pageCount": 3, "dailyReportTag": [ { "dailyReportTagId": "1", "color": "#FF6B6B", "dailyReportTagName": "営業活動", "memo": "顧客との商談や提案活動に関するタグ", "sortNum": "1", "showFlag": "1", "defaultFlag": "1", "dailyReportTagGroupCode": "1", "dailyReportTagDivisionCode": "1" }, { "dailyReportTagId": "2", "color": "#4ECDC4", "dailyReportTagName": "会議", "memo": "社内外の各種会議やミーティング", "sortNum": "2", "showFlag": "1", "defaultFlag": "0", "dailyReportTagGroupCode": "1", "dailyReportTagDivisionCode": "1" }, { "dailyReportTagId": "3", "color": "#45B7D1", "dailyReportTagName": "資料作成", "memo": "", "sortNum": "3", "showFlag": "1", "defaultFlag": "0", "dailyReportTagGroupCode": "", "dailyReportTagDivisionCode": "" } ]}Headers
Section titled “Headers ” Link
string
<前のURI>; rel="prev", <次のURI>; rel="next"
- リクエストの形式が不正な場合
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Bad Request", "detail": "limitは1〜100の整数で指定してください。"}